Subject: Re: bug#10324: [Platform-testers] Automake 1.11.1b test release

From: Stefano Lattarini <[email-masked]>
Date: Tue, 20 Dec 2011 15:20:05 +0100

On 12/19/2011 03:11 AM, Bruno Haible wrote:
> ===============================================================================
> 
> * msvc9
> 
> FAIL: specflg10.test
> 
> Problem with the dependency support.
> 
> Find attached the log file.
> 
> I used the configuration commands
> 
> CC="$HOME/msvc/compile cl -nologo"; export CC;
> CFLAGS=""; export CFLAGS;
> CXX="$HOME/msvc/compile cl -nologo"; export CXX;
> CXXFLAGS=""; export CXXFLAGS;
> CPPFLAGS="-D_WIN32_WINNT=_WIN32_WINNT_WINXP -I/usr/local/msvc/include"; export CPPFLAGS;
> LDFLAGS="-L/usr/local/msvc/lib"; export LDFLAGS;
> LD="link"; export LD;
> NM="dumpbin -symbols"; export NM;
> STRIP=":"; export STRIP;
> AR="$HOME/msvc/ar-lib lib"; export AR;
> RANLIB=":"; export RANLIB;
> ./configure --host=i586-pc-mingw32 --prefix=/usr/local/msvc
> 
Ah-ah, I think I've found the "real" problem here.  Currently (i.e., in maint),
the code in `tests/defs' doesn't set nor export the values of $host_alias and/or
$build_alias determined at configure time; so your environment setup above above
isn't enough to trigger a true cross-compilation run of the testsuite; you
need at least this additional setting:

  host_alias=i586-pc-mingw32; export host_alias

and probably, to be sure to avoid spurious failures, also this one:

  build_alias=`./lib/config.guess`; export build_alias

This testsuite weakness will be fixed in the next major version of Automake.

Thanks, and sorry for the confusion,
  Stefano